using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Apollinare.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddAlternativeCodeFields : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "AlternativeCode",
                table: "WarehouseLocations",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "AlternativeCode",
                table: "WarehouseArticles",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "AlternativeCode",
                table: "WarehouseArticleCategories",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "Codice",
                table: "Clienti",
                type: "TEXT",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "CodiceAlternativo",
                table: "Clienti",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "CodiceAlternativo",
                table: "Articoli",
                type: "TEXT",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AlternativeCode",
                table: "WarehouseLocations");

            migrationBuilder.DropColumn(
                name: "AlternativeCode",
                table: "WarehouseArticles");

            migrationBuilder.DropColumn(
                name: "AlternativeCode",
                table: "WarehouseArticleCategories");

            migrationBuilder.DropColumn(
                name: "Codice",
                table: "Clienti");

            migrationBuilder.DropColumn(
                name: "CodiceAlternativo",
                table: "Clienti");

            migrationBuilder.DropColumn(
                name: "CodiceAlternativo",
                table: "Articoli");
        }
    }
}
